" dependencies "

How to install GNU Radio, FFTW, RTL SDR, GrOsmoSDR, and more using PyBombs with dependencies, by rpm/deb or build from source

Recently I purchased a Mini SDR (DVB-T) from NooElec to play around with some RF and do some testing, but for some reason kept running into problems while trying to build GNU Radio on Debian (Ubuntu/Linux Mint) from the git repos.  I attempted to use the version from the standard repository, but unfortunately that version is old and out dated (I think 1.6 was in repo, but 1.7.2 is latest), so the only option was to build from source.  I swear I probably spent 4 hours trying to figure out why certain dependencies wouldn’t install, then I would get one to install, and another one would come up…add to that for the testing I wanted to do I needed to install FFTW, RTL SDR, and GrOsmoSDR, which is when I finally decided to find a better way to build from source (or find latest version deb/rpm). (more…)

Virtualmin Cloudmin will not install error libdigest-sha1-perl on Ubuntu 12.04 Precise Pangolin

When recently installing Cloudmin on a server running Ubuntu 12.04 I came across an error saying that Cloudmin could not install due to libdigest-sha1-perl not being installed. Even if you try running apt-get install libdigest-sha1-perl you will not find it in any repositories because the version of Perl used for Ubuntu 12.04 already includes Digest::SHA. Nevertheless there are some applications that still call libdigest-sha1-perl, inlcuding Cloudmin. In order to install libdigest-sha1-perl you need to (more…)